unit UsaComprovanteVinculadoTEF;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TFormUsaComprovanteNaoFiscalVinculado = class(TForm)
    Memo1: TMemo;
    BitBtn1: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormUsaComprovanteNaoFiscalVinculado: TFormUsaComprovanteNaoFiscalVinculado;

implementation

uses principal;

{$R *.dfm}

procedure TFormUsaComprovanteNaoFiscalVinculado.FormShow(Sender: TObject);
begin
        memo1.clear;
        if FormUsaComprovanteNaoFiscalVinculado.Caption='Usa Comprovante Não Fiscal Vinculado' then begin
                Memo1.Text:=Chr(16)+'B'+'TERM: 32700424'+Chr(16)+'N'+'           LOTE:00056'+Chr(13)+chr(10)+'AUTE: 123456789   '+FormatDateTime('dd/mm/yy',date)+FormatDateTime('hh:mm:ss',time)+chr(13)+chr(10);
                Memo1.Text:=Memo1.Text+Chr(16)+'V'+'CV: 6688156           AUTO:340056'+CHr(16)+'N'+Chr(13)+chr(10);
                Memo1.Text:=Memo1.Text+'VENDA CREDITO A VISTA'+Chr(13)+chr(10)+'TOTAL APROVADO         R$'+formPrincipal.ValorInicioDia+chr(13)+Chr(10);
                Memo1.Text:=Memo1.Text+'Reconheco e pagasrei a divida aqui apresentada'+Chr(13)+chr(10)+chr(13)+Chr(10);
                Memo1.Text:=Memo1.Text+'Assinatura do Cliente'+chr(13)+chr(10)+chr(13)+chr(10)+chr(13)+chr(10)+chr(13)+chr(10);
        end
        else if (FormUsaComprovanteNaoFiscalVinculado.Caption='Enviar Texto CNF') or  (FormUsaComprovanteNaoFiscalVinculado.Caption='Relatório Gerencial')
                or  (FormUsaComprovanteNaoFiscalVinculado.Caption='Usa Relatório Gerencial MFD')then begin
                Memo1.Text:=Chr(16)+'B'+'          RELATORIO GERAL'+Chr(16)+'N'+Chr(13)+chr(10)+'MOVIMENTACAO DO DIA '+FormatDateTime('dd/mm/yy',date)+' '+FormatDateTime('hh:mm:ss',time)+chr(13)+chr(10);
                Memo1.Text:=Memo1.Text+Chr(16)+'V'+'SISTEMA DE CONTROLE DE VENDAS'+CHr(16)+'N'+Chr(13)+chr(10);
                Memo1.Text:=Memo1.Text+'TEXTO DO RELATORIO'+Chr(13)+chr(10)+'TEXTO DO RELATORIO'+chr(13)+Chr(10);
                Memo1.Text:=Memo1.Text+'TEXTO DO RELATORIO'+Chr(13)+chr(10)+'TEXTO DO RELATORIO'+chr(13)+Chr(10);
                Memo1.Text:=Memo1.Text+'TEXTO DO RELATORIO'+Chr(13)+chr(10)+'TEXTO DO RELATORIO'+chr(13)+Chr(10);
        end
end;

procedure TFormUsaComprovanteNaoFiscalVinculado.BitBtn1Click(
  Sender: TObject);
begin
        FormPrincipal.TextoPagamento:=Memo1.Text;
end;

end.
